Subject: [sipcore] draft-ietf-sipcore-sip-websocket-02: comments

From: Brett Tate <[email-masked]>
Date: Fri, 24 Aug 2012 05:51:51 -0700

Howdy,

The following are some minor comments concerning draft-ietf-sipcore-sip-websocket-02.

Thanks,
Brett

----

Section 8.2:

- The response examples should likely indicate the Via "received" parameter when Via transport is UDP.

- Max-Forwards should likely be removed from response examples.

Section A.1: "hostpart" potentially should be "hostport".

This email is intended solely for the person or entity to which it is addressed and may contain confidential and/or privileged information.  If you are not the intended recipient and have received this email in error, please notify BroadSoft, Inc. immediately by replying to this message, or by sending an email to [email-masked], and destroy all copies of this message, along with any attachment, prior to reading, distributing or copying it.

---

From: José Luis Millán <[email-masked]>
Date: Fri, 24 Aug 2012 19:15:22 +0200

Hi Brett,

Thanks for your comments. We will address them.

Regards,

2012/8/24 Brett Tate <[email-masked]>:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore

---

From: Iñaki Baz Castillo <[email-masked]>
Date: Fri, 24 Aug 2012 20:51:42 +0200

> - The response examples should likely indicate the Via "received" parameter when Via transport is UDP.

Adding Via "received" is just mandatory in case the source IP of the
request does not match the Via sentby-host component.

> - Max-Forwards should likely be removed from response examples.

Done in our working copy for the next version.

> Section A.1: "hostpart" potentially should be "hostport".

Done in our working copy for the next version.

Thanks a lot.

-- 
Iñaki Baz Castillo
<[email-masked]>

---

From: Brett Tate <[email-masked]>
Date: Fri, 24 Aug 2012 12:13:39 -0700

> > Section 8.2:
> >
> > - The response examples should likely indicate the 
> > Via "received" parameter when Via transport is UDP.
> 
> Adding Via "received" is just mandatory in case
> the source IP of the request does not match the 
> Via sentby-host component.

Hi Iñaki,

The following is the RFC 3261 section 18.2.1 snippet indicating that the "received" parameter must be added if the Via sent-by is a domain name.  If the draft intends to show compliant devices for UDP, the following messages should indicate the received: F4, F9, F10, F11.

RFC 3261 section 18.2.1:

"When the server transport receives a request over any transport, it
 MUST examine the value of the "sent-by" parameter in the top Via
 header field value.  If the host portion of the "sent-by" parameter
 contains a domain name, or if it contains an IP address that differs
 from the packet source address, the server MUST add a "received"
 parameter to that Via header field value.  This parameter MUST
 contain the source address from which the packet was received."

Thanks,
Brett

---

From: Brett Tate <[email-masked]>
Date: Fri, 24 Aug 2012 12:26:38 -0700

Oops, sorry for resend.  I just noticed the ip-addresses within F9, F10, F11; only F4 should be changed.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Brett Tate
> Sent: Friday, August 24, 2012 3:14 PM
> To: Iñaki Baz Castillo; [email-masked]; draft-ietf-sipcore-sip-
> [email-masked]
> Subject: Re: [sipcore] draft-ietf-sipcore-sip-websocket-02: comments
> 
> > > Section 8.2:
> > >
> The following is the RFC 3261 section 18.2.1 snippet indicating that
> the "received" parameter must be added if the Via sent-by is a domain
> name.  If the draft intends to show compliant devices for UDP, the
> following messages should indicate the received: F4, F9, F10, F11.
> 
> RFC 3261 section 18.2.1:
>

---

From: Iñaki Baz Castillo <[email-masked]>
Date: Fri, 24 Aug 2012 21:27:54 +0200

> Oops, sorry for resend.  I just noticed the ip-addresses within F9, F10, F11; only F4 should be changed.

You are right, I missed that. Fixed in our local copy.

Thanks a lot.

-- 
Iñaki Baz Castillo
<[email-masked]>